#include <Keyboard.h>
#include <OneButton.h>    // Library for button input functions

// constants won't change. They're used here to set pin numbers:
char altKey = KEY_LEFT_ALT;

//setup buttons with OneButton
OneButton button1(
  9,          // Pin Number  MUTE
  true,       // Input is active LOW
  true        // Enable internal pull-up resistor
);
OneButton button2(
  3,          // Pin Number  HAND
  true,       // Input is active LOW
  true        // Enable internal pull-up resistor
);
OneButton button3(
  6,          // Pin Number  VIDEO
  true,       // Input is active LOW
  true        // Enable internal pull-up resistor
);

void setup() {
  button1.attachClick(button1click); // Set up button 1 for mute toggle function
  button2.attachClick(button2click); // Set up button 2 for hand toggle function
  button3.attachClick(button3click); // Set up button 3 for video toggle function

  Keyboard.begin(); //Init keyboard emulation

  Serial.begin(9600);       // begin serial comms for debugging
  delay(50);
}

// Check status of buttons in a continuous loop
void loop() {
  button1.tick();
  button2.tick();
  button3.tick();
}

// This function will be called when button 1 is pressed for more than 50ms and less than 300ms.
void button1click() {
  Serial.println("Pressing alt+a for Mute/Unmute");
  Keyboard.press(altKey);
  Keyboard.press('a');
  delay(50);
  Keyboard.releaseAll();
}

// This function will be called when button 2 is pressed for more than 50ms and less than 300ms.
void button2click() {
  Serial.println("Pressing alt+y for Hand");
  Keyboard.press(altKey);
  Keyboard.press('y');
  delay(50);
  Keyboard.releaseAll();
}

// This function will be called when button 3 is pressed for more than 50ms and less than 300ms.
void button3click() {
  Serial.println("Pressing alt+v for Video");
  Keyboard.press(altKey);
  Keyboard.press('v');
  delay(50);
  Keyboard.releaseAll();
}
